Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class FeedParsers

    java.lang.Object
      com.sun.syndication.io.impl.PluginManager
          com.sun.syndication.io.impl.FeedParsers

    public class FeedParsers

extends PluginManager

Parses an XML document (JDOM Document) into a Feed.

It accepts all flavors of RSS (0.90, 0.91, 0.92, 0.93, 0.94, 1.0 and 2.0) and Atom 0.3 feeds.

The WireFeedParser is a liberal parser.

WireFeedParser instances are thread safe.

Parsers for a specific type must extend this class and register in the parser list. (Right now registration is hardcoded in the WireFeedParser constructor).

Author:
  Alejandro Abdelnur

Field Summary
`static String` | `FEED_PARSERS_KEY` WireFeedParser.classes= [className] ...

Constructor Summary
`FeedParsers()` Creates a parser instance.

Method Summary
`protected String` | `getKey(Object obj)`
`WireFeedParser` | `getParserFor(org.jdom.Document document)` Finds the real parser type for the given document feed.
`List` | `getSupportedFeedTypes()`

Methods inherited from class com.sun.syndication.io.impl.PluginManager
`getKeys, getPlugin, getPluginMap, getPlugins`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEED_PARSERS_KEY

    public static final String FEED_PARSERS_KEY

  WireFeedParser.classes= [className] ...

  See Also:
    Constant Field Values

Constructor Detail

### FeedParsers

    public FeedParsers()

  Creates a parser instance.

Method Detail

### getSupportedFeedTypes

    public List getSupportedFeedTypes()

### getParserFor

    public WireFeedParser getParserFor(org.jdom.Document document)

  Finds the real parser type for the given document feed.

  Parameters:
    `document` - document feed to find the parser for.
  Returns:
    the parser for the given document or null if there is no parser for that document.

### getKey

    protected String getKey(Object obj)

  Specified by:
    `getKey` in class `PluginManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.